Xenodia Docs
API ReferenceGenerated Reference

Delegate owner wallet binding

Owner bearer token required. The agent must already be linked to this owner. The returned token is short lived and single use; keep it private.

POST
/v1/me/wallet/delegation

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

agent_wallet_address*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.xenodia.xyz/v1/me/wallet/delegation" \  -H "Content-Type: application/json" \  -d '{    "agent_wallet_address": "string"  }'
{
  "delegation_token": "string",
  "expires_at": 0,
  "agent_wallet_address": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}